Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991156 - [abrt] tuxmath-2.0.1-4.fc19: SDL_FreeFormat: Process /usr/bin/tuxmath was killed by signal 11 (SIGSEGV)
Summary: [abrt] tuxmath-2.0.1-4.fc19: SDL_FreeFormat: Process /usr/bin/tuxmath was kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tuxmath
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:adec3b21e1a3c6380421c79b79e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-01 18:26 UTC by Michael Schwendt
Modified: 2015-12-02 16:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 02:54:52 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-08-01 18:26 UTC, Michael Schwendt
no flags Details
File: cgroup (deleted)
2013-08-01 18:26 UTC, Michael Schwendt
no flags Details
File: core_backtrace (deleted)
2013-08-01 18:27 UTC, Michael Schwendt
no flags Details
File: dso_list (deleted)
2013-08-01 18:27 UTC, Michael Schwendt
no flags Details
File: environ (deleted)
2013-08-01 18:27 UTC, Michael Schwendt
no flags Details
File: limits (deleted)
2013-08-01 18:27 UTC, Michael Schwendt
no flags Details
File: maps (deleted)
2013-08-01 18:27 UTC, Michael Schwendt
no flags Details
File: open_fds (deleted)
2013-08-01 18:27 UTC, Michael Schwendt
no flags Details
File: proc_pid_status (deleted)
2013-08-01 18:27 UTC, Michael Schwendt
no flags Details
File: var_log_messages (deleted)
2013-08-01 18:27 UTC, Michael Schwendt
no flags Details

Description Michael Schwendt 2013-08-01 18:26:49 UTC
Description of problem:
tried to reproduce bug 829419

Version-Release number of selected component:
tuxmath-2.0.1-4.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        tuxmath
crash_function: SDL_FreeFormat
executable:     /usr/bin/tuxmath
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SDL_FreeFormat at src/video/SDL_pixels.c:254
 #1 SDL_FreeSurface at src/video/SDL_surface.c:921
 #2 powerup_add_comet at game.c:4185
 #3 add_comet at game.c:3166
 #4 game_handle_comets at game.c:1594
 #5 game at game.c:373
 #6 handle_activity at menu.c:206
 #7 T4K_RunMenu at t4k_menu.c:933
 #8 run_menu at menu.c:111
 #9 RunMainMenu at menu.c:755

Potential duplicate: bug 903060

Comment 1 Michael Schwendt 2013-08-01 18:26:52 UTC
Created attachment 781698 [details]
File: backtrace

Comment 2 Michael Schwendt 2013-08-01 18:26:55 UTC
Created attachment 781699 [details]
File: cgroup

Comment 3 Michael Schwendt 2013-08-01 18:27:00 UTC
Created attachment 781700 [details]
File: core_backtrace

Comment 4 Michael Schwendt 2013-08-01 18:27:06 UTC
Created attachment 781701 [details]
File: dso_list

Comment 5 Michael Schwendt 2013-08-01 18:27:09 UTC
Created attachment 781702 [details]
File: environ

Comment 6 Michael Schwendt 2013-08-01 18:27:12 UTC
Created attachment 781703 [details]
File: limits

Comment 7 Michael Schwendt 2013-08-01 18:27:19 UTC
Created attachment 781704 [details]
File: maps

Comment 8 Michael Schwendt 2013-08-01 18:27:28 UTC
Created attachment 781705 [details]
File: open_fds

Comment 9 Michael Schwendt 2013-08-01 18:27:31 UTC
Created attachment 781706 [details]
File: proc_pid_status

Comment 10 Michael Schwendt 2013-08-01 18:27:35 UTC
Created attachment 781707 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-01-09 19:13:45 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Jonathan Dieter 2015-02-11 17:26:28 UTC
This still applies to 2.0.1-7.fc21

Comment 13 Fedora End Of Life 2015-11-04 13:40:17 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-12-02 02:54:56 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.